# BasicAuthCredentials

BasicAuthCredentials is a very simple, small object that turns an
HTTP basic auth header into a user ID and a password.

```ruby
# these two lines create the same string that an HTTP client (such
# as a web browser) would send in the Authorization header.
encoded_credentials = Base64.encode64('my_username:my_password')
http_header_value = "Basic #{encoded_credentials}"

# And this is how you would decode that header value. Pretty simple.
credentials = BasicAuthCredentials.new(http_header_value)
credentials.user_id
#=> 'my_username'
credentials.password
#=> 'my_password'
```

## Contributing to BasicAuthCredentials
 
* Check out the latest master to make sure the feature hasn't been
  implemented or the bug hasn't been fixed yet.
* Check out the issue tracker to make sure someone already hasn't
  requested it and/or contributed it.
* Fork the project.
* Start a feature/bugfix branch.
* Commit and push until you are happy with your contribution.
* Make sure to add tests for it. This is important so I don't break it
  in a future version unintentionally.
* Please try not to mess with the Rakefile, version, or history. If you
  want to have your own version, or is otherwise necessary, that is
  fine, but please isolate to its own commit so I can cherry-pick around
  it.

## Copyright

Copyright (c) 2012 John Wilger. See LICENSE.txt for
further details.

